Package org.eclipse.cdt.utils.envvar

# Class EnvVarOperationProcessor

java.lang.Object
org.eclipse.cdt.utils.envvar.EnvVarOperationProcessor

public class EnvVarOperationProcessor extends Object
This is an utility class that implements environment variable operations functionality: append, prepend, replace and remove

Since:
  3.0

## Constructor Summary

Constructors
Constructor
Description
`EnvVarOperationProcessor()`

## Method Summary

Modifier and Type
Method
Description
`static List<String>`
`convertToList(String value, String delimiter)`
Converts a given value to string using a delimiter passed to this method
`static String`
`convertToString(List<String> list, String delimiter)`
Converts list to a single String using a given delimiter to separate the list value in the resulting String
`static IEnvironmentVariable[]`
`filterVariables(IEnvironmentVariable[] variables, String[] remove)`
`static String`
`normalizeName(String name)`
normalizes the variable name.
`static String`
`performAppend(String initialValue, String addValue, String delimiter)`
performs append given an initial String, a string to be appended and a delimiter Returns a String representing the result of the operation
`static String`
`performAppendPrepend(String initialValue, String addValue, String delimiter, boolean prepend)`
performs append or prepend given an initial String, a string to be appended/prepended and a delimiter Returns a String representing the result of the operation
`static String`
`performOperation(String initialValue, String newValue, String delimiter, int op)`
performs an environment variable operation Returns String representing the result of the operation
`static IEnvironmentVariable`
`performOperation(IEnvironmentVariable initial, IEnvironmentVariable added)`
performs the environment variable operation given an initial variable and a variable representing an operation to be performed Returns a new variable the represents the result of a performed operation
`static String`
`performPrepend(String initialValue, String addValue, String delimiter)`
performs prepend given an initial String, a string to be prepended and a delimiter Returns a String representing the result of the operation
`static List<String>`
`removeDuplicates(List<String> value, List<String> duplicates)`
removes duplicates

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EnvVarOperationProcessor

public EnvVarOperationProcessor()

## Method Details

### performOperation

public static IEnvironmentVariable performOperation(IEnvironmentVariable initial, IEnvironmentVariable added)
performs the environment variable operation given an initial variable and a variable representing an operation to be performed Returns a new variable the represents the result of a performed operation

Parameters:
  `initial` - the initial variable
  `added` - the variable that specifies an operation to be performed on the initial variable value
Returns:
  the new variable the represents the result of a performed operation

### performAppendPrepend

public static String performAppendPrepend(String initialValue, String addValue, String delimiter, boolean prepend)
performs append or prepend given an initial String, a string to be appended/prepended and a delimiter Returns a String representing the result of the operation

Parameters:
  `initialValue` -
  `addValue` -
  `delimiter` -
  `prepend` -
Returns:
  String

### performAppend

public static String performAppend(String initialValue, String addValue, String delimiter)
performs append given an initial String, a string to be appended and a delimiter Returns a String representing the result of the operation

Parameters:
  `initialValue` -
  `addValue` -
  `delimiter` -
Returns:
  String

### performPrepend

public static String performPrepend(String initialValue, String addValue, String delimiter)
performs prepend given an initial String, a string to be prepended and a delimiter Returns a String representing the result of the operation

Parameters:
  `initialValue` -
  `addValue` -
  `delimiter` -
Returns:
  String

### performOperation

public static String performOperation(String initialValue, String newValue, String delimiter, int op)
performs an environment variable operation Returns String representing the result of the operation

Parameters:
  `initialValue` -
  `newValue` -
  `delimiter` -
  `op` -
Returns:
  String

### convertToList

public static List<String> convertToList(String value, String delimiter)
Converts a given value to string using a delimiter passed to this method

Parameters:
  `value` -
  `delimiter` -

### removeDuplicates

public static List<String> removeDuplicates(List<String> value, List<String> duplicates)
removes duplicates

### convertToString

public static String convertToString(List<String> list, String delimiter)
Converts list to a single String using a given delimiter to separate the list value in the resulting String

Parameters:
  `list` -
  `delimiter` -
Returns:
  String

### normalizeName

public static String normalizeName(String name)
normalizes the variable name. That is: removes prepended and appended spaces

Returns:
  the normalized name or `null` in case the name is not valid

### filterVariables

public static IEnvironmentVariable[] filterVariables(IEnvironmentVariable[] variables, String[] remove)